import React from 'react';
import { EditorView, ViewUpdate } from '@codemirror/view';
import { Extension } from '@codemirror/state';
export declare type CodeMirrorOnChange = (editor: ViewUpdate, nextValue: string, prevValue: string) => void;
export declare const useCodeMirror: (containerRef: React.MutableRefObject<HTMLDivElement | null>, onChange?: CodeMirrorOnChange, value?: string, extensions?: Extension[]) => [EditorView | undefined, React.Dispatch<React.SetStateAction<EditorView | undefined>>];
